// Smooth scrolling for anchor links
document.querySelectorAll('a[href^="#"]').forEach(anchor => {
  anchor.addEventListener('click', function (e) {
    e.preventDefault();
    document.querySelector(this.getAttribute('href')).scrollIntoView({
      behavior: 'smooth'
    });
  });
});

// Basic form validation for contact section
const contactForm = document.querySelector('.contact form');
if (contactForm) {
  contactForm.addEventListener('submit', function(e) {
    const email = this.querySelector('input[type="email"]');
    if (!email.value.includes('@')) {
      e.preventDefault();
      alert('Please enter a valid email address.');
    }
  });
}